%This script generates Figure 4b%
%Author: Qin Liu%

%Read year, theoretical population and empirical population%
year=csvread('Figure_4b',0,0,[1,11,31,11]);
%Theoretical population data for 1980%
theo1980=csvread('Figure_4b',0,0,[2,4,223,4]);
%empirical population data for 1980. For 1990, 2000 and 2010, we use the
%same name rules showing below%
pop1980=csvread('Figure_4b',0,0,[2,3,223,3]);
theo1990=csvread('Figure_4b',0,0,[2,6,223,6]);
pop1990=csvread('Figure_4b',0,0,[2,5,223,5]);
theo2000=csvread('Figure_4b',0,0,[2,7,223,7]);
pop2000=csvread('Figure_4b',0,0,[2,8,223,8]);
theo2010=csvread('Figure_4b',0,0,[2,9,223,10]);
pop2010=csvread('Figure_4b',0,0,[2,9,223,9]);
format long;

%x, y range%
xc=0:0.0001:1;
yc=xc;
%diagonal line%
plot(yc,xc,'k--');
hold on
%line for each year%
plot(theo2010,pop2010,'r.-');
hold on
plot(theo2000,pop2000,'.-','Color',[0 .4 .3]);
hold on
plot(theo1990,pop1990,'.-','Color',[.3 .2 0]);
hold on
plot(theo1980,pop1980,'.-','Color',[0 0 1]);
hold on

%highlight few points representing important countries%
highlightx=[theo1980(76,1),theo1980(113,1),theo1980(137,1),theo1980(186,1),theo1980(189,1),theo1980(194,1),theo1980(213,1)];
highlighty=[pop1980(76,1),pop1980(113,1),pop1980(137,1),pop1980(186,1),pop1980(189,1),pop1980(194,1),pop1980(213,1)];
plot(highlightx,highlighty,'b.','MarkerSize',25);
hold on
highlightxx=[theo2010(73,1),theo2010(117,1),theo2010(139,1),theo2010(174,1),theo2010(184,1),theo2010(194,1),theo2010(209,1)];
highlightyy=[pop2010(73,1),pop2010(117,1),pop2010(139,1),pop2010(174,1),pop2010(184,1),pop2010(194,1),pop2010(209,1)];
plot(highlightxx,highlightyy,'r.','MarkerSize',25);
hold off
%set axis properties%
axis([0,1,0,1]);
set(gca,'xtick',[0:0.1:1])
set(gca,'ytick',[0:0.1:1])
axis square;
%title, labels and legend%
t=title('P-P Plot of Global CO_{2} Emission');
t19=xlabel('Fraction of Global Population (Theory)');
t20=ylabel('Fraction of Global Population (Empirical)');
set(t,'Fontsize',16);
set(t19,'Fontsize',16);
set(t20,'Fontsize',16);
h=legend('Theory','2010','2000','1990','1980',2);
set(h,'Fontsize',16);
%Positions of labels. Positions may not be accurate.%
t6=text(0.08,0.6,'Data Source: EIA');
t7=text(.93,.95,'USA');
t8=text(.33,.45,'CHN');
t9=text(.68,.66,'RUS');
t10=text(.62,.60,'FRA');
t11=text(.50,.55,'UK');
t12=text(.38,.22,'BRA');
t13=text(.32,.10,'IND');
t14=text(.23,.05,'IND');
t15=text(.57,.07,'CHN');
t16=text(.68,.08,'BRA');
t17=text(.84,.33,'UK');
t18=text(.92,.55,'FRA');
t18a=text(1.01,0.95,'USA');
t18b=text(0.915,0.57,'USSR');
set(t6,'Fontsize',15);
set(t7,'Fontsize',16,'Color','r');
set(t8,'Fontsize',16,'Color','r');
set(t9,'Fontsize',16,'Color','r');
set(t10,'Fontsize',16,'Color','r');
set(t11,'Fontsize',16,'Color','r');
set(t12,'Fontsize',16,'Color','r');
set(t13,'Fontsize',16,'Color','r');
set(t14,'Fontsize',16,'Color','b');
set(t15,'Fontsize',16,'Color','b');
set(t16,'Fontsize',16,'Color','b');
set(t17,'Fontsize',16,'Color','b');
set(t18,'Fontsize',16,'Color','b');
set(t18a,'Fontsize',16,'Color','b');
set(t18b,'Fontsize',16,'Color','b');



